<div *ngIf="(profile$ | async) as profile; else loading" class="module flat">

    <mr-profile-header [user]="profile" [auth]="auth$ | async"></mr-profile-header>

    <div class="profile-data less-gap">

        <aside>
            <mr-profile-counters
            [threadCount]="profile.threadCount"
            [replyCount]="profile.replyCount"
            [commentCount]="profile.commentCount"
            [friendCount]="profile.friendsMapped.length"></mr-profile-counters>

            <mr-profile-friends
            [friends]="profile.friendsMapped"
            [isCurrentUser]="profile.isCurrentUser"></mr-profile-friends>
        </aside>

        <mr-profile-tabs
        [username]="profile.username"
        [isCurrentUser]="profile.isCurrentUser"></mr-profile-tabs>

    </div>

</div>

<ng-template #loading>
    <mr-loader></mr-loader>
</ng-template>
